Option Strict Off
Option Explicit On
Friend Class frmBarraProgresso
	Inherits System.Windows.Forms.Form
	Private ifrmQuemChama As System.Windows.Forms.Form
	
	Private Sub frmBarraProgresso_Load(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles MyBase.Load
		Dim ldblPosX As Double
		Dim ldblPosY As Double
		ifrmQuemChama.Enabled = False
		ldblPosX = (((VB6.PixelsToTwipsX(ifrmQuemChama.ClientRectangle.Width) - VB6.PixelsToTwipsX(Me.Width)) \ 2) + VB6.PixelsToTwipsX(ifrmQuemChama.Left))
		ldblPosY = (((VB6.PixelsToTwipsY(ifrmQuemChama.ClientRectangle.Height) - VB6.PixelsToTwipsY(Me.Height)) \ 2) + VB6.PixelsToTwipsY(ifrmQuemChama.Top) + 100)
		
		Call Me.SetBounds(VB6.TwipsToPixelsX(ldblPosX), VB6.TwipsToPixelsY(ldblPosY), 0, 0, Windows.Forms.BoundsSpecified.X Or Windows.Forms.BoundsSpecified.Y)
		Me.lblInfo.Text = " A G U A R D E . . . . ."
		Call Me.lblInfo.Refresh()
		System.Windows.Forms.Application.DoEvents()
	End Sub
	
	Public Sub SetaBarraProgresso(ByRef afrmQuemChama As System.Windows.Forms.Form)
		ifrmQuemChama = afrmQuemChama
	End Sub
	
	Private Sub frmBarraProgresso_FormClosed(ByVal eventSender As System.Object, ByVal eventArgs As System.Windows.Forms.FormClosedEventArgs) Handles Me.FormClosed
		ifrmQuemChama.Enabled = True
	End Sub
End Class